// based on deformableRegistration2.cxx from itk examples

#if defined(_MSC_VER)
#pragma warning ( disable : 4786 )
#endif


#include "itkImageFileReader.h" 
#include "itkImageFileWriter.h" 

#include "itkImageRegionIterator.h"

#include "itkHistogramMatchingImageFilter.h"
#include "itkCastImageFilter.h"
#include "itkWarpImageFilter.h"
#include "itkLinearInterpolateImageFunction.h"

#include "itkImageFileReader.h"
#include "itkImageFileWriter.h"
#include "itkRescaleIntensityImageFilter.h"


// includes propis
#include "./src/definicionsTipus.h"
#include "./src/funcionsAuxiliars.cxx"


#include "itkImage.h"

int main( int argc, char *argv[] )
{
  if( argc < 4 )
    {
    std::cerr << "Missing Parameters " << std::endl;
    std::cerr << "Usage: " << argv[0];
    std::cerr << " fixedImageFile movingImageFile ";
    std::cerr << " Distancia: 0->MQ 1->MI 2->NHMMI " << std::endl;
    return EXIT_FAILURE;
    }

  // Set up the file readers
/*  FixedImageReaderType::Pointer fixedImageReader   = FixedImageReaderType::New();
  MovingImageReaderType::Pointer movingImageReader = MovingImageReaderType::New();

  inicialitzaImatgesEntrada(argv, fixedImageReader, movingImageReader );*/

  std::cout<<mesuraDistanciaDuesImatges(argv[1], argv[2], atoi(argv[3]) );


  return EXIT_SUCCESS;
}

